#pragma once

#include <QObject>
#include <QScopedPointer>
#include <QJsonObject>

class LoaderPrivate;
class Loader : public QObject
{
    Q_OBJECT
public:
    explicit Loader(QObject *parent = Q_NULLPTR);
    ~Loader();

    static QJsonObject loadExtentData(const QString &file);
    static void packageExtentData(const QString &srcPath, const QString &jsonPath);

private:
    QScopedPointer<LoaderPrivate> dd_ptr;
    Q_DECLARE_PRIVATE_D(qGetPtrHelper(dd_ptr), Loader)
};

